> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get uptime data for all monitors in a project



## OpenAPI

````yaml /openapi.json get /monitors/projects/{projectId}/uptime
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /monitors/projects/{projectId}/uptime:
    get:
      tags:
        - Monitors
      summary: Get uptime data for all monitors in a project
      operationId: MonitorController_getUptimeData
      parameters:
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: startDate
          required: false
          in: query
          description: Start date for uptime data (ISO format)
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          description: End date for uptime data (ISO format)
          schema:
            type: string
      responses:
        '200':
          description: Return the uptime data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorUptimeDataDto'
      security:
        - bearer: []
components:
  schemas:
    MonitorUptimeDataDto:
      type: object
      properties:
        overall:
          description: Overall uptime data across all monitors
          type: array
          items:
            $ref: '#/components/schemas/UptimeDataPoint'
        monitors:
          type: object
          description: Uptime data for individual monitors
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/UptimeDataPoint'
      required:
        - overall
        - monitors
    UptimeDataPoint:
      type: object
      properties:
        date:
          type: string
          description: The date of the uptime data point
        uptime:
          type: number
          description: The uptime percentage for this data point
      required:
        - date
        - uptime
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````